Bug 1729705 - Akonadi fails to use database "akonadi" and KDE PIM components unusable
Summary: Akonadi fails to use database "akonadi" and KDE PIM components unusable
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: kde-plasma-akonadi-calendars
Version: 30
Hardware: x86_64
OS: Linux
unspecified
high
Target Milestone: ---
Assignee: Orphan Owner
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-07-13 19:28 UTC by Sid Hymes
Modified: 2020-05-26 16:09 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-05-26 16:09:03 UTC
Type: Bug


Attachments (Terms of Use)

Description Sid Hymes 2019-07-13 19:28:08 UTC
Description of problem:
On akonadictl start
Connecting to deprecated signal QDBusConnectionInterface::serviceOwnerChanged(QString,QString,QString)akonadiserver reports starting up, then fails to use akonadi database, reporting 
Database error: "Can't connect to local MySQL server through socket '/tmp/akonadi-sid.L25wuG/mysql.socket' (2) QMYSQL: Unable to connect", then 
org.kde.pim.akonadiserver: Failed to connect to database!
org.kde.pim.akonadiserver: Database error: "Can't connect to local MySQL server through socket '/tmp/akonadi-sid.L25wuG/mysql.socket' (2) QMYSQL: Unable to connect"
org.kde.pim.akonadiserver: Failed to remove runtime connection config file
org.kde.pim.akonadiserver: Shutting down AkonadiServer...
org.kde.pim.akonadicontrol: Application '/usr/bin/akonadiserver' exited normally...

Version-Release number of selected component (if applicable):

akonadi-1.13.0-113.fc30.x86_64

How reproducible:
initiating akonadi server after KDE Pim components fail to start.

Steps to Reproduce:
1. akonadictl start
2. (see above for error messages)

Actual results:

KDE PIM inoperable

Expected results:

Access to KDE PIM components Korganizer, KAlarm, etc.

Additional info: Reinstalled KDEPIM, akonadi, kf5-akonadi-server-mysql, mariadb, mariadb-server, rebooted, all to no effect.

Comment 1 Ben Cotton 2020-04-30 21:34:10 UTC
This message is a reminder that Fedora 30 is nearing its end of life.
Fedora will stop maintaining and issuing updates for Fedora 30 on 2020-05-26.
It is Fedora's policy to close all bug reports from releases that are no longer
maintained. At that time this bug will be closed as EOL if it remains open with a
Fedora 'version' of '30'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 30 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 2 Ben Cotton 2020-05-26 16:09:03 UTC
Fedora 30 changed to end-of-life (EOL) status on 2020-05-26. Fedora 30 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.